<?php
/**
 * Footer Options
 *
 * @package Corporaze
 */

$wp_customize->add_section(
	'corporaze_footer_options',
	array(
		'panel' => 'corporaze_theme_options',
		'title' => esc_html__( 'Footer Options', 'corporaze' ),
	)
);

// Footer Options - Copyright Text.
/* translators: 1: Year, 2: Site Title with home URL. */
$copyright_default = sprintf( esc_html_x( 'Copyright &copy; %1$s %2$s', '1: Year, 2: Site Title with home URL', 'corporaze' ), '[the-year]', '[site-link]' );
$wp_customize->add_setting(
	'corporaze_footer_copyright_text',
	array(
		'default'           => $copyright_default,
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	'corporaze_footer_copyright_text',
	array(
		'label'    => esc_html__( 'Copyright Text', 'corporaze' ),
		'section'  => 'corporaze_footer_options',
		'settings' => 'corporaze_footer_copyright_text',
		'type'     => 'textarea',
	)
);

// Footer Options - Scroll Top.
$wp_customize->add_setting(
	'corporaze_scroll_top',
	array(
		'sanitize_callback' => 'corporaze_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Corporaze_Toggle_Switch_Custom_Control(
		$wp_customize,
		'corporaze_scroll_top',
		array(
			'label'   => esc_html__( 'Enable Scroll Top Button', 'corporaze' ),
			'section' => 'corporaze_footer_options',
		)
	)
);
